#!usr/bin/env node
import inquirer from "inquirer";

let todos : string[] = [];

async function makeTodo(todos:string[]){
    do{
        let output = await inquirer.prompt({
            type:"list",
            name:"choose",
            message:"Select an Option.",
            choices:["Add Task", "Update Task", "View List", "Delete Task", "Exit"]
        })
        if (output.choose === "Add Task"){
            let addTodo = await inquirer.prompt({
                type:"input",
                name:"addtodo",
                message:"Add items in the list."
            });
            todos.push(addTodo.addtodo);
          
           
        }
        if (output.choose === "Update Task"){
            let updateTodo = await inquirer.prompt({
                name:"updatetodo",
                type:"list",
                message:"Enter item for update.",
                choices:todos.map(item => item)
            });
            let addTodo = await inquirer.prompt({
                type:"input",
                name:"addtodo",
                message:"Add items in the list."
            });
            let newTodo = todos.filter(val => val !== updateTodo.updatetodo);
            todos =[...newTodo,addTodo.addtodo];
        
            
        }
        if (output.choose === "View List"){
            console.log("\t",    "YOUR TODO LIST   " ,"\n");

            todos.forEach(todo => console.log("\t", todo )); 
            console.log("\t","----------------");
        }
        if (output.choose === "Delete Task"){
            let deleteTodo = await inquirer.prompt({
                name:"deletetodo",
                type:"list",
                message:"Enter item for delete.",
                choices:todos.map(item => item)
            });
            let newTodo = todos.filter(val => val !== deleteTodo.deletetodo);
            todos =[...newTodo];
            console.log(`"==>>${deleteTodo.deletetodo}" is successfully deleted`);
            
        }
        if (output.choose === "Exit"){
            console.log("   ----  Thanks for using my todo app   ----  ");
            break;
        }
   
    } while(true); 
}
makeTodo(todos);
